/*
 * #%L
 * OME-COMMON C++ library for C++ compatibility/portability
 * %%
 * Copyright © 2006 - 2015 Open Microscopy Environment:
 *   - Massachusetts Institute of Technology
 *   - National Institutes of Health
 *   - University of Dundee
 *   - Board of Regents of the University of Wisconsin-Madison
 *   - Glencoe Software, Inc.
 * %%
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * The views and conclusions contained in the software and documentation are
 * those of the authors and should not be interpreted as representing official
 * policies, either expressed or implied, of any organization.
 * #L%
 */

#ifndef OME_COMMON_CONFIG_H
#define OME_COMMON_CONFIG_H

// Configured features

#define OME_HAVE_ARRAY 1
#define OME_HAVE_BOOST_ARRAY 1
#define OME_HAVE_CSTDINT 1
#define OME_HAVE_BOOST_CSTDINT 1
/* #undef OME_HAVE_MEMORY */
#define OME_HAVE_BOOST_SHARED_PTR 1
#define OME_HAVE_BOOST_OWNER_LESS 1
/* #undef OME_HAVE_TUPLE */
/* #undef OME_HAVE_TR1_TUPLE */
#define OME_HAVE_BOOST_TUPLE 1
#define OME_HAVE_REGEX 1
/* #undef OME_HAVE_TR1_REGEX */
/* #undef OME_HAVE_BOOST_REGEX */
#define OME_HAVE_BOOST_LOG 1
#define OME_HAVE_BOOST_THREAD 1
#define OME_HAVE_BOOST_FORMAT 1
#define OME_HAVE_BOOST_FILESYSTEM_ABSOLUTE 1
#define OME_HAVE_BOOST_FILESYSTEM_CANONICAL 1
#define OME_HAVE_BOOST_TYPE_TRAITS_HPP 1
#define OME_HAVE_BOOST_GEOMETRY_INDEX_RTREE_HPP 1
/* #undef OME_HAVE_NOEXCEPT */
/* #undef OME_VARIANT_LIMIT */

#ifndef OME_HAVE_NOEXCEPT
# define noexcept
#endif

#endif // OME_COMMON_CONFIG_H
